/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pat2021;

/**
 *
 * @author bee.ntsimane
 */
public class SubjectMark {
   private int markID;
   private String subject;
   private String timeOfYear;
   private String yearOfStudy;
   private int mark;
   
   private DBClass db = new DBClass();
   
    /**
     *
     * @param mID - the id number of the mark record
     * @param sub - the subject of the mark record
     * @param toy - the time of year of the mark record (mid year or end of year)
     * @param yos - the year of the mark record 
     * @param m - the mark record value
     */
    public SubjectMark(int mID, String sub, String toy, String yos, int m)
   {
       this.markID = mID;
       this.subject = sub;
       this.timeOfYear = toy;
       this.yearOfStudy = yos;
       this.mark = m;
       
   }
   
    /**
     *
     * @return the id number of the mark record
     */
    public int getMarkID()
   {
       return markID;
   }

    /**
     *
     * @return the subject of the mark record
     */
    public String getSubject()
   {
       return subject;
   }
   
    /**
     *
     * @return the time of year of the mark record
     */
    public String getTimeOfYear()
   {
       return timeOfYear;
   }
   
    /**
     *
     * @return the year of study of the mark record
     */
    public String getYearOfStudy()
   {
       return yearOfStudy;
   }
   
    /**
     *
     * @return the mark value of the mark record
     */
    public int getMark()
   {
       return mark;
   }
   
  
    
}
